Subject: bug#8158: Definition of auto-mode-alist

From: Lennart Borgman <[email-masked]>
Date: Wed, 2 Mar 2011 23:18:09 +0100

On Wed, Mar 2, 2011 at 11:02 PM, Reuben Thomas <[email-masked]> wrote:
> A comment in files.el says:
>
>  ;; Note: The entries for the modes defined in cc-mode.el (c-mode,
>  ;; c++-mode, java-mode and more) are added through autoload
>  ;; directives in that file.  That way is discouraged since it
>  ;; spreads out the definition of the initial value.
>
> Isn't this a bit unmodular as Emacs continues to grow, and given loaddefs.el?
>
> If the maintainers agree, then the last sentence should be changed to
> encourage the removal of the initial values back into the relevant
> mode files.

I think I disagree. This sort of information must be coordinated so it
need to be in a central place.